﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net.Http;
using System.Runtime.InteropServices.WindowsRuntime;
using System.Text;
using System.Threading.Tasks;
using System.Xml.Linq;
using Windows.Foundation;

namespace MissionPossible.Metro
{
    public sealed class BleedingEdge
    {
        public List<Session> GetSessions()
        {
            return new List<Session>()
            {
                new Session { Lecturer = "Itzik Ben-Gan", Title = "Apply T-SQL Magic", StartingTime = new DateTime(2011, 9, 29, 10, 0, 0) },
                new Session { Lecturer = "Dušan Zupančič", Title = "Spletne rešitve sedanjosti za prihodnost", StartingTime = new DateTime(2011, 9, 29, 10, 0, 0) },
                new Session { Lecturer = "David Ingham", Title = "Loosely-Coupled Systems with AppFabric", StartingTime = new DateTime(2011, 9, 29, 10, 0, 0) },
                new Session { Lecturer = "Nejc Škoberne", Title = "Napad Padding Oracle v teoriji in praksi", StartingTime = new DateTime(2011, 9, 29, 10, 0, 0) },
                new Session { Lecturer = "Davide Mauri", Title = "Using SQLCLR & Service Broker to Create a Scalable Application Server", StartingTime = new DateTime(2011, 9, 29, 14, 30, 0) },
                new Session { Lecturer = "Dino Esposito", Title = "Facing the Issues of Mobile Site Dev", StartingTime = new DateTime(2011, 9, 29, 14, 30, 0) },
                new Session { Lecturer = "Matevž Gačnik", Title = "Implementacija visoko..", StartingTime = new DateTime(2011, 9, 29, 14, 30, 0) },
                new Session { Lecturer = "Miha Pihler", Title = "Analiza okuženega računalnika", StartingTime = new DateTime(2011, 9, 29, 14, 30, 0) },
                new Session { Lecturer = "Dejan Sarka", Title = "Identity Mapping and De-Duplicating", StartingTime = new DateTime(2011, 9, 29, 16, 15, 0) },
                new Session { Lecturer = "Anže Vodovnik", Title = "Spletno mesto od zasnove do realizacije", StartingTime = new DateTime(2011, 9, 29, 16, 15, 0) },
                new Session { Lecturer = "Miha Markič", Title = "C# - prevajalnik kot storitev že danes", StartingTime = new DateTime(2011, 9, 29, 16, 15, 0) },
                new Session { Lecturer = "Toni Uranjek", Title = "Skrivalnice", StartingTime = new DateTime(2011, 9, 29, 16, 15, 0) },
                new Session { Lecturer = "Rok Bermež", Title = "Osnove Windows 8 Metro aplikacij (ali kako ugrizniti v prihodnost)", StartingTime = new DateTime(2011, 9, 30, 10, 45, 0) },
                new Session { Lecturer = "Sašo Zagoranski", Title = "Razvoj aplikacij Windows 8 Metro, optimiziranih za upravljanje z dotikom", StartingTime = new DateTime(2011, 9, 30, 12, 00, 0) },
                new Session { Lecturer = "Dušan Zupančič", Title = "Prihodnost razvoja aplikacij z Visual Studiem 2011", StartingTime = new DateTime(2011, 9, 30, 14, 15, 0) },
                new Session { Lecturer = "Damir Arh", Title = "Mission possible: uporaba sedanje kode pri razvoju aplikacij Metro", StartingTime = new DateTime(2011, 9, 30, 15, 15, 0) }
            };
        }

        public async Task<string> GetLastTweetTaskAsync()
        {
            string url = "http://api.twitter.com/1/statuses/user_timeline.xml?screen_name=bleedingedge_si";
            var http = new HttpClient();
            var response = await http.GetAsync(url);
            var xml = XDocument.Load(response.Content.ContentReadStream);
            var result = xml.Descendants("text").Select(x => x.Value).First();
            return result;
        }
    }
}
